Loading...
Searching...
No Matches
Dune::CpGrid::CentroidIterator< codim > Class Template Reference

An iterator over the centroids of the geometry of the entities. More...

`#include <CpGrid.hpp>`

Inheritance diagram for Dune::CpGrid::CentroidIterator< codim >:

## Public Types

typedef std::vector< cpgrid::Geometry< 3-codim, 3 > >::const_iterator | GeometryIterator
| The type of the iterator over the codim geometries.

## Public Member Functions

| CentroidIterator (GeometryIterator iter)
| Constructs a new iterator from an iterator over the geometries.
const FieldVector< double, 3 > & | dereference () const
void | increment ()
const FieldVector< double, 3 > & | elementAt (int n)
void | advance (int n)
void | decrement ()
int | distanceTo (const CentroidIterator &o)
bool | equals (const CentroidIterator &o) const

## Detailed Description

template<int codim>
class Dune::CpGrid::CentroidIterator< codim >

An iterator over the centroids of the geometry of the entities.

Template Parameters

  codim | The co-dimension of the entities.

## Constructor & Destructor Documentation

## CentroidIterator()

template<int codim>

Dune::CpGrid::CentroidIterator< codim >::CentroidIterator | ( | GeometryIterator | iter | ) |

inline explicit

Constructs a new iterator from an iterator over the geometries.

Parameters

  iter | The iterator of the geometry objects.

The documentation for this class was generated from the following file:

- opm/grid/CpGrid.hpp